<?php
    $title_bar_chart = get_field('title_bar_chart');
    $description_bar_chart = get_field('description_bar_chart');
    $itens_bar_chart = get_field('itens_bar_chart');
    $drug_name_bar_chart = get_field('drug_name_bar_chart');
    $chart_values_bar_chart = get_field('chart_values_bar_chart');
    $cta_text_bar_chart = get_field('cta_text_bar_chart');
    $cta_link_bar_chart = get_field('cta_link_bar_chart');
?>
<div id="bar-chart">
    <div class="container">
        <div class="bar-chart-box">
            <div class="bar-chart-div">
                <h2 class="title_bar_chart"><?= $title_bar_chart; ?><div class="circle" style="background-color: #2B8FFF"></div></h2>
                <p class="description_bar_chart"><?= $description_bar_chart ?></p>
                <?php if($itens_bar_chart) { ?>
                    <div class="itens_bar_chart">
                        <?php foreach ($itens_bar_chart as $key => $item) { ?>
                            <div class="itens_bar_chart_item">
                                <p>
                                    <svg width="20" height="21" viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <circle cx="10" cy="10.5" r="10" fill="#2B8FFF"/>
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M16.1823 6.76895C16.5861 7.14578 16.6079 7.77857 16.2311 8.18232L9.23106 15.6823C9.04601 15.8806 8.78839 15.9952 8.51723 15.9999C8.24608 16.0045 7.98466 15.8989 7.79289 15.7071L4.29289 12.2071C3.90237 11.8166 3.90237 11.1834 4.29289 10.7929C4.68342 10.4024 5.31658 10.4024 5.70711 10.7929L8.4752 13.561L14.7689 6.81769C15.1458 6.41393 15.7786 6.39211 16.1823 6.76895Z" fill="white"/>
                                    </svg> <?= $item['text']; ?>
                                </p>
                            </div>
                        <?php } ?>
                    </div>
                <?php } ?>
                <?php if($cta_text_bar_chart && $cta_link_bar_chart) { ?>
                    <a class="cta_text_bar_chart hide-mobile" href="<?= $cta_link_bar_chart ?>"><?= $cta_text_bar_chart ?></a>
                <?php } ?>
            </div>
            <div class="bar-chart-div">
                <div class="bar-chart-itens">
                    <p class="drug_name_bar_chart"><?= $drug_name_bar_chart ?></p>
                    <?php if($chart_values_bar_chart) { ?>
                        <div class="chart_values_bar_chart_box">
                            <?php foreach ($chart_values_bar_chart as $key => $value) { ?>
                                <?php $height = (136 * $value['height_value'])/100; ?>
                                <div class="chart_values_bar_chart_box_chart_width">
                                    <?php if($value['is_khealth_value']) { ?>
                                        <p class="chart_values_bar_chart_khealth_value"><?= $value['value'] ?></p>
                                        <div class="chart_values_bar_chart_khealth_icon" style="height:<?= $height ?>px;F"></div>
                                        <p class="chart_values_bar_chart_name">
                                            <svg width="79" height="28" viewBox="0 0 79 28" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <g clip-path="url(#clip0)">
                                                <path d="M33.8237 7.90277C33.8237 7.86962 33.8369 7.83782 33.8602 7.81438C33.8836 7.79094 33.9153 7.77777 33.9483 7.77777H36.059C36.0921 7.77777 36.1238 7.79094 36.1471 7.81438C36.1705 7.83782 36.1836 7.86962 36.1836 7.90277V12.0225L36.3727 11.7612C36.9542 11.0267 37.7984 10.6594 38.9053 10.6593C39.8482 10.6593 40.5869 10.9368 41.1213 11.4919C41.6558 12.047 41.923 12.817 41.9231 13.8019V19.6522C41.9231 19.6853 41.91 19.7171 41.8866 19.7405C41.8632 19.764 41.8315 19.7772 41.7985 19.7772H39.6878C39.6548 19.7772 39.6231 19.764 39.5997 19.7405C39.5763 19.7171 39.5632 19.6853 39.5632 19.6522V14.2265C39.5632 13.6768 39.444 13.27 39.2055 13.0061C38.9669 12.7422 38.6011 12.6102 38.1078 12.6102C37.4883 12.6102 37.0127 12.7954 36.6811 13.1658C36.3494 13.5362 36.1836 14.0695 36.1836 14.7657V19.6526C36.1836 19.6857 36.1705 19.7175 36.1471 19.741C36.1238 19.7644 36.0921 19.7776 36.059 19.7776H33.9483C33.9153 19.7776 33.8836 19.7644 33.8602 19.741C33.8369 19.7175 33.8237 19.6857 33.8237 19.6526V7.90277Z" fill="#2B8FFF"/>
                                                <path d="M47.3047 20.0056C45.9512 20.0056 44.9074 19.5893 44.1734 18.7568C43.4393 17.9242 43.0723 16.7378 43.0723 15.1978C43.0723 13.7775 43.4461 12.666 44.1937 11.8633C44.9414 11.0606 45.9783 10.6593 47.3046 10.6593C48.6636 10.6593 49.7102 11.0688 50.4442 11.8878C51.1783 12.7067 51.5453 13.8727 51.5453 15.3855C51.5453 15.3855 51.5425 15.7365 51.5038 15.9161H45.4383C45.4928 16.6182 45.6483 17.1434 45.9048 17.4916C46.2322 17.9268 46.778 18.1444 47.5421 18.1444C47.8969 18.1444 48.2257 18.0438 48.5286 17.8425C48.7991 17.6626 48.9728 17.4501 49.0496 17.2052C49.0575 17.1795 49.0733 17.157 49.0948 17.141C49.1163 17.1249 49.1423 17.1161 49.1691 17.1159H51.3048C51.3239 17.1159 51.3427 17.1203 51.3598 17.1287C51.3769 17.1372 51.3919 17.1494 51.4035 17.1645C51.4151 17.1797 51.4232 17.1973 51.427 17.216C51.4308 17.2347 51.4302 17.2541 51.4254 17.2726C51.206 18.1013 50.7507 18.7564 50.0596 19.2379C49.3252 19.7498 48.4069 20.0057 47.3047 20.0056ZM49.0976 14.4223C49.0431 13.889 48.9012 13.4727 48.6719 13.1735C48.3717 12.7762 47.9051 12.5776 47.272 12.5776C46.6662 12.5776 46.205 12.8089 45.8885 13.2714C45.6921 13.5653 45.5502 13.9489 45.4628 14.4223H49.0976Z" fill="#2B8FFF"/>
                                                <path d="M55.1161 20.0057C54.2968 20.0057 53.6377 19.7703 53.1387 19.2997C52.6398 18.829 52.3902 18.21 52.3901 17.4426C52.3901 16.6318 52.6153 15.9829 53.0655 15.4958C53.5157 15.0088 54.1721 14.7027 55.0347 14.5775L56.5729 14.3653C56.9743 14.3108 57.3079 14.2182 57.5737 14.0875C57.6876 14.0331 57.7758 13.9352 57.8382 13.7937C57.8996 13.6584 57.9235 13.5089 57.9074 13.3611C57.8749 13.1111 57.7474 12.9152 57.5249 12.7733C57.259 12.6046 56.8766 12.5203 56.3775 12.5203C55.9328 12.5203 55.5857 12.6291 55.3361 12.8468C55.1103 13.0438 54.98 13.3142 54.9451 13.6581C54.9417 13.6886 54.9272 13.7168 54.9044 13.7373C54.8815 13.7578 54.852 13.7691 54.8213 13.7692H52.8318C52.8146 13.7692 52.7975 13.7657 52.7817 13.7588C52.7659 13.7519 52.7517 13.7418 52.74 13.7291C52.7283 13.7165 52.7193 13.7015 52.7137 13.6852C52.708 13.6688 52.7058 13.6515 52.7072 13.6343C52.7794 12.6621 53.1293 11.9288 53.7569 11.4346C54.4133 10.9176 55.3762 10.6592 56.6456 10.6592C57.7468 10.6592 58.6161 10.892 59.2534 11.3578C59.8908 11.8235 60.2096 12.4595 60.2098 13.2657V18.2332C60.2098 18.6313 60.2424 18.9105 60.3074 19.0708C60.3653 19.2133 60.4743 19.329 60.6345 19.418C60.6538 19.4289 60.6698 19.4447 60.681 19.4638C60.6922 19.4829 60.6981 19.5047 60.6982 19.5269V19.6519C60.6982 19.6851 60.685 19.7169 60.6617 19.7403C60.6383 19.7637 60.6066 19.7769 60.5735 19.7769H58.2746C58.2464 19.7769 58.219 19.7673 58.1969 19.7496C58.1749 19.7319 58.1594 19.7073 58.1532 19.6797C58.1055 19.4714 57.9974 18.9809 57.9722 18.7154L57.964 18.6991C57.2316 19.5702 56.2823 20.0058 55.1161 20.0057ZM57.9233 16.4957V15.4754C57.6521 15.6277 57.294 15.7502 56.8492 15.8428L55.9867 16.006C55.5799 16.0821 55.2707 16.2222 55.0591 16.4264C54.8474 16.6305 54.7416 16.8877 54.7417 17.1978C54.7417 17.5516 54.8367 17.8293 55.0265 18.0311C55.2164 18.2328 55.4822 18.3335 55.824 18.333C56.5725 18.333 57.1693 18.0691 57.6142 17.5414C57.7009 17.438 57.7742 17.2857 57.8339 17.0843C57.892 16.8935 57.9221 16.6952 57.9233 16.4957Z" fill="#2B8FFF"/>
                                                <path d="M61.4863 7.90277C61.4863 7.86962 61.4995 7.83782 61.5228 7.81438C61.5462 7.79094 61.5779 7.77777 61.6109 7.77777H63.6971C63.7302 7.77777 63.7619 7.79094 63.7852 7.81438C63.8086 7.83782 63.8217 7.86962 63.8217 7.90277V19.6527C63.8217 19.6859 63.8086 19.7177 63.7852 19.7411C63.7619 19.7645 63.7302 19.7777 63.6971 19.7777H61.6109C61.5779 19.7777 61.5462 19.7645 61.5228 19.7411C61.4995 19.7177 61.4863 19.6859 61.4863 19.6527V7.90277Z" fill="#2B8FFF"/>
                                                <path d="M69.7971 19.7101C69.7972 19.7417 69.7853 19.7722 69.7638 19.7954C69.7424 19.8186 69.7129 19.8328 69.6815 19.835C69.313 19.8617 68.8715 19.875 68.3569 19.875C67.5323 19.875 66.9396 19.7269 66.5789 19.4306C66.2182 19.1343 66.0378 18.6486 66.0378 17.9735V12.4027H64.9337C64.9006 12.4027 64.8689 12.3896 64.8456 12.3661C64.8222 12.3427 64.8091 12.3109 64.8091 12.2777V10.887C64.8091 10.8539 64.8222 10.8221 64.8456 10.7987C64.8689 10.7752 64.9006 10.762 64.9337 10.762H66.0378V8.62927C66.0378 8.59612 66.051 8.56433 66.0743 8.54088C66.0977 8.51744 66.1294 8.50427 66.1624 8.50427H68.2485C68.2815 8.50427 68.3132 8.51744 68.3366 8.54088C68.36 8.56433 68.3731 8.59612 68.3731 8.62927V10.762H69.6725C69.7055 10.762 69.7372 10.7752 69.7606 10.7987C69.7839 10.8221 69.7971 10.8539 69.7971 10.887V12.2777C69.7971 12.3109 69.7839 12.3427 69.7606 12.3661C69.7372 12.3896 69.7055 12.4027 69.6725 12.4027H68.3731V17.5813C68.3731 17.7881 68.4342 17.9241 68.5563 17.9895C68.6784 18.0549 68.932 18.0875 69.3171 18.0874H69.6725C69.7055 18.0874 69.7372 18.1006 69.7606 18.124C69.7839 18.1475 69.7971 18.1793 69.7971 18.2124V19.7101Z" fill="#2B8FFF"/>
                                                <path d="M70.9009 7.90277C70.9009 7.86962 70.914 7.83782 70.9374 7.81438C70.9607 7.79094 70.9924 7.77777 71.0255 7.77777H73.1362C73.1692 7.77777 73.2009 7.79094 73.2243 7.81438C73.2476 7.83782 73.2608 7.86962 73.2608 7.90277V12.0225L73.4499 11.7612C74.0314 11.0267 74.8756 10.6594 75.9824 10.6593C76.9254 10.6593 77.6641 10.9368 78.1985 11.4919C78.7329 12.047 79.0002 12.817 79.0002 13.8019V19.6522C79.0002 19.6853 78.9871 19.7171 78.9637 19.7405C78.9404 19.764 78.9087 19.7772 78.8756 19.7772H76.765C76.7319 19.7772 76.7002 19.764 76.6769 19.7405C76.6535 19.7171 76.6404 19.6853 76.6404 19.6522V14.2265C76.6404 13.6768 76.5211 13.27 76.2826 13.0061C76.0441 12.7422 75.6782 12.6102 75.185 12.6102C74.5654 12.6102 74.0901 12.7954 73.7589 13.1658C73.4277 13.5362 73.2617 14.0695 73.2608 14.7657V19.6526C73.2608 19.6857 73.2476 19.7175 73.2243 19.741C73.2009 19.7644 73.1692 19.7776 73.1362 19.7776H71.0255C70.9924 19.7776 70.9607 19.7644 70.9374 19.741C70.914 19.7175 70.9009 19.6857 70.9009 19.6526V7.90277Z" fill="#2B8FFF"/>
                                                <g clip-path="url(#clip1)">
                                                <path d="M18.7172 20C18.7394 20 18.7613 19.9941 18.7805 19.9827C18.7996 19.9714 18.8155 19.9552 18.8263 19.9356C18.8371 19.9161 18.8424 19.8941 18.8419 19.8717C18.8413 19.8494 18.8348 19.8277 18.823 19.8088L15.1078 13.8444L18.7274 10.2133C18.7448 10.1958 18.7567 10.1736 18.7615 10.1493C18.7663 10.1251 18.7638 10.0999 18.7544 10.0771C18.7449 10.0543 18.729 10.0348 18.7085 10.021C18.688 10.0073 18.6639 9.99999 18.6392 10H15.2989C15.2658 10 15.2341 10.0132 15.2108 10.0367L11.801 13.4568C11.7836 13.4743 11.7614 13.4862 11.7373 13.491C11.7131 13.4958 11.6881 13.4933 11.6653 13.4839C11.6426 13.4744 11.6231 13.4584 11.6094 13.4379C11.5957 13.4173 11.5884 13.3932 11.5884 13.3685V8.125C11.5884 8.09185 11.5753 8.06005 11.5519 8.03661C11.5285 8.01317 11.4968 8 11.4638 8H9.09628C9.06324 8 9.03154 8.01317 9.00818 8.03661C8.98481 8.06005 8.97168 8.09185 8.97168 8.125V19.8697C8.97168 19.9029 8.98481 19.9347 9.00818 19.9581C9.03154 19.9816 9.06324 19.9947 9.09628 19.9947H11.4638C11.4968 19.9947 11.5285 19.9816 11.5519 19.9581C11.5753 19.9347 11.5884 19.9029 11.5884 19.8697V17.4262C11.5884 17.3931 11.6015 17.3614 11.6248 17.3379L13.1014 15.8567C13.1146 15.8434 13.1307 15.8332 13.1484 15.827C13.1661 15.8208 13.185 15.8187 13.2036 15.8209C13.2223 15.823 13.2402 15.8293 13.256 15.8394C13.2719 15.8494 13.2853 15.8629 13.2952 15.8789L15.8257 19.9413C15.8369 19.9592 15.8524 19.974 15.8709 19.9843C15.8894 19.9946 15.9102 20 15.9313 20H18.7172Z" fill="#2B8FFF"/>
                                                <path d="M13.9558 0C6.24826 0 0 6.26806 0 14V27.875C0 27.9082 0.013128 27.9399 0.036496 27.9634C0.059864 27.9868 0.0915578 28 0.124605 28H13.9558C21.6633 28 27.9116 21.7319 27.9116 14C27.9116 6.27417 21.6572 0 13.9558 0ZM13.9558 25.375H2.74131C2.70827 25.375 2.67657 25.3618 2.6532 25.3384C2.62984 25.3149 2.61671 25.2832 2.61671 25.25V14.049C2.61671 7.77986 7.72981 2.6125 13.979 2.625C20.2308 2.63764 25.2948 7.72556 25.2948 14C25.2948 20.2822 20.2182 25.375 13.9558 25.375Z" fill="#2B8FFF"/>
                                                </g>
                                                </g>
                                                <defs>
                                                <clipPath id="clip0">
                                                <rect width="79" height="28" fill="white"/>
                                                </clipPath>
                                                <clipPath id="clip1">
                                                <rect width="27.9116" height="28" fill="white"/>
                                                </clipPath>
                                                </defs>
                                            </svg>
                                        </p>
                                    <?php } else { ?>
                                        <div class="chart_values_bar_chart_value" style="height:<?= $height ?>px"><?= $value['value'] ?></div>
                                        <p class="chart_values_bar_chart_name">
                                            <?= $value['title'] ?>
                                        </p>
                                    <?php } ?>
                                </div>
                            <?php } ?>
                            <div class="chart_values_bar_chart_dots"></div>
                        </div>
                    <?php } ?>
                    <?php if($cta_text_bar_chart && $cta_link_bar_chart) { ?>
                        <a class="cta_text_bar_chart hide-desktop" href="<?= $cta_link_bar_chart ?>"><?= $cta_text_bar_chart ?></a>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</div>